# keystone.common.jwt_utils module

keystone.common.jwt_utils.create_jws_keypair(private_key_path, public_key_path, algorithm='ES256')

  Create an asymmetric key pair suitable for the given JWS algorithm.

  Parameters:

    - private_key_path – location to save the private key

    - public_key_path – location to save the public key

    - algorithm – JWS algorithm name (ES256, ES384, ES512, EdDSA)

this page last updated: 2026-08-17 12:45:24

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug